about summary refs log tree commit diff
path: root/nixpkgs/pkgs/tools/networking/haguichi/update.sh
diff options
context:
space:
mode:
Diffstat (limited to 'nixpkgs/pkgs/tools/networking/haguichi/update.sh')
-rwxr-xr-xnixpkgs/pkgs/tools/networking/haguichi/update.sh13
1 files changed, 13 insertions, 0 deletions
diff --git a/nixpkgs/pkgs/tools/networking/haguichi/update.sh b/nixpkgs/pkgs/tools/networking/haguichi/update.sh
new file mode 100755
index 000000000000..49a76a79d7ae
--- /dev/null
+++ b/nixpkgs/pkgs/tools/networking/haguichi/update.sh
@@ -0,0 +1,13 @@
+#!/usr/bin/env nix-shell
+#!nix-shell -i bash -p curl jq common-updater-scripts
+
+set -euo pipefail
+
+version="$(
+    curl -s https://api.github.com/repos/ztefn/haguichi/releases |
+    jq '.[] | select(.target_commitish!="elementary") | .tag_name' --raw-output |
+    sort --version-sort --reverse |
+    head -n1
+)"
+
+update-source-version haguichi "$version"